Subject: Re: bug#68002: 30.0.50; checkdoc.el: False positive when a quote variable contains "C-g" in its name

From: Stefan Kangas <[email-masked]>
Date: Sun, 24 Dec 2023 05:29:37 -0800

Version: 30.1

Ihor Radchenko <[email-masked]> writes:

> I have the following docstring:
>
> (defvar org-element--cache-interrupt-C-g-count 0
>   "Current number of `org-element--cache-sync' calls.
> See `org-element--cache-interrupt-C-g'.")
>
> When I run M-x checkdoc, I am getting
>
>    Keycode C-g embedded in doc string.  Use \\<mapvar> & \\[command] instead
>
> Which is clearly false-positive.
>
> May this be fixed?

Thanks for the bug report!

This should now be fixed on master.